View Issue Details

IDProjectCategoryView StatusLast Update
0003277GNUnetcadet servicepublic2018-06-07 00:25
ReporterFlorian DoldAssigned ToBart Polot 
PriorityhighSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003277: secretsharing sometimes crashes mesh service when running with valgrind
DescriptionThe following assertions are triggered, the first is a break, the second a real assert. Note that this only happens when running secretsharing with valgrind (most probably because everything is slower then ...)

Jan 21 00:50:13-618291 mesh-22247 ERROR Assertion failed at gnunet-service-mesh_connection.c:1029.
[...]
Jan 21 00:50:15-620393 mesh-22247 ERROR Assertion failed at gnunet-service-mesh_tunnel.c:2225.
Steps To Reproduceprefix valgrind in test_secretsharing.conf

dold@dold-x1c:~/repos/gnunet/src/secretsharing$ GNUNET_FORCE_LOG="secretsharing;;;;DEBUG" ./gnunet-secretsharing-profiler -c test_secretsharing.conf -n3 -k2 -d

(note that it takes some time for the assertion to appear ...)
TagsNo tags attached.

Relationships

has duplicate 0003258 closedBart Polot Crash in mesh service during test_mesh_small_speed_reliable_backwards 

Activities

Bart Polot

2014-01-21 01:01

manager   ~0008014

That's what I've been working on today, but it's hard to reproduce, I'll try with your method.

Florian Dold

2014-01-21 01:04

developer   ~0008015

(gdb) bt full
#0 0x00007fa8a50caf77 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
        resultvar = 0
        pid = 31155
        selftid = 31155
#1 0x00007fa8a50ce5e8 in __GI_abort () at abort.c:90
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x7fffabe2a5c0, sa_sigaction = 0x7fffabe2a5c0}, sa_mask = {__val = {1390262615086588,
              140736077145392, 140362313022581, 140733193388033, 0, 1, 140362300108008, 8816496, 140736077145392, 0, 140362313049893, 0,
              18446744073709551615, 0, 140362304027104, 140362304020896}}, sa_flags = -1511172288,
          sa_restorer = 0x7fa8a50e2134 <_IO_vfprintf_internal+18868>}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2 0x00007fa8a5a8b5b9 in GNUNET_abort () at common_logging.c:289
No locals.
#3 0x000000000040530d in GMT_get_cstate (t=<optimized out>) at gnunet-service-mesh_tunnel.c:2225
        __FUNCTION__ = "GMT_get_cstate"
#4 0x000000000041073b in connection_maintain (c=0x868770, fwd=0) at gnunet-service-mesh_connection.c:917
No locals.
#5 0x00007fa8a5ab75b2 in run_ready (ws=0x857590, rs=0x857500) at scheduler.c:595
        p = GNUNET_SCHEDULER_PRIORITY_DEFAULT
        pos = 0x867cc0
        tc = {reason = GNUNET_SCHEDULER_REASON_TIMEOUT, read_ready = 0x857500, write_ready = 0x857590}
#6 GNUNET_SCHEDULER_run (task=task@entry=0x7fa8a5abddb0 <service_task>, task_cls=task_cls@entry=0x7fffabe2a700) at scheduler.c:817
        rs = 0x857500
        ws = <optimized out>
        timeout = <optimized out>
        ret = <optimized out>
        shc_int = 0x858760
        shc_term = 0x858820
        shc_quit = 0x8589a0
        shc_hup = 0x858a60
        shc_pipe = 0x8588e0
        last_tr = 94
        busy_wait_warning = 0
        pr = 0x8574e0
        c = 0 '\000'
---Type <return> to continue, or q <return> to quit---
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#7 0x00007fa8a5ac103a in GNUNET_SERVICE_run (argc=<optimized out>, argv=<optimized out>, service_name=service_name@entry=0x429007 "mesh",
    options=options@entry=GNUNET_SERVICE_OPTION_NONE, task=task@entry=0x4241b0 <run>, task_cls=task_cls@entry=0x0) at service.c:1490
        err = 0
        ret = <optimized out>
        cfg_fn = 0x850720 "~/.config/gnunet.conf"
        opt_cfg_fn = 0x850870 "/tmp/testbedWK3r4K/1/config"
        loglev = 0x0
        logfile = 0x0
        do_daemonize = 0
        i = <optimized out>
        skew_offset = 0
        skew_variance = 0
        clock_offset = <optimized out>
        sctx = {cfg = 0x850740, server = 0x858e20, addrs = 0x0, service_name = 0x429007 "mesh", task = 0x4241b0 <run>, task_cls = 0x0,
          v4_denied = 0x0, v6_denied = 0x0, v4_allowed = 0x85b900, v6_allowed = 0x865390, my_handlers = 0x851c10, addrlens = 0x0,
          lsocks = 0x857410, shutdown_task = 4, timeout = {rel_value_us = 18446744073709551615}, ret = 1, ready_confirm_fd = -1,
          require_found = 1, match_uid = 1, match_gid = 1, options = GNUNET_SERVICE_OPTION_NONE}
        cfg = 0x850740
        xdg = <optimized out>
        service_options = {{shortName = 99 'c', name = 0x7fa8a5acb7e3 "config", argumentHelp = 0x7fa8a5acb7ea "FILENAME",
            description = 0x7fa8a5acb8b0 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7fa8a5aa8010 <GNUNET_GETOPT_set_string>, scls = 0x7fffabe2a650}, {shortName = 100 'd',
            name = 0x7fa8a5accfbb "daemonize", argumentHelp = 0x0, description = 0x7fa8a5acd320 "do daemonize (detach from terminal)",
            require_argument = 0, processor = 0x7fa8a5aa8000 <GNUNET_GETOPT_set_one>, scls = 0x7fffabe2a644}, {shortName = 104 'h',
            name = 0x7fa8a5acb7fe "help", argumentHelp = 0x0, description = 0x7fa8a5acb7f3 "print this help", require_argument = 0,
            processor = 0x7fa8a5aa7c90 <GNUNET_GETOPT_format_help_>, scls = 0x0}, {shortName = 76 'L', name = 0x7fa8a5acb803 "log",
            argumentHelp = 0x7fa8a5acb807 "LOGLEVEL", description = 0x7fa8a5acb8d0 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7fa8a5aa8010 <GNUNET_GETOPT_set_string>, scls = 0x7fffabe2a658}, {shortName = 108 'l',
            name = 0x7fa8a5acb810 "logfile", argumentHelp = 0x7fa8a5ac7f04 "LOGFILE",
            description = 0x7fa8a5acb8f8 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x7fa8a5aa8010 <GNUNET_GETOPT_set_string>, scls = 0x7fffabe2a660}, {shortName = 118 'v',
            name = 0x7fa8a5acb818 "version", argumentHelp = 0x0, description = 0x7fa8a5acb820 "print the version number",
            require_argument = 0, processor = 0x7fa8a5aa7c60 <GNUNET_GETOPT_print_version_>, scls = 0x7fa8a5acb839}, {shortName = 0 '\000',
            name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0, processor = 0x0, scls = 0x0}}
---Type <return> to continue, or q <return> to quit---
        __FUNCTION__ = "GNUNET_SERVICE_run"
#8 0x0000000000402e30 in main (argc=<optimized out>, argv=<optimized out>) at gnunet-service-mesh.c:172
        ret = <optimized out>
        r = <optimized out>

Bart Polot

2014-01-21 15:26

manager   ~0008025

Should be fixed in r31969, please confim...

Bart Polot

2014-04-11 15:24

manager   ~0008236

Quite old bug, not reproductible anymore (extenive testing with the same conditions done for 0003373).

Issue History

Date Modified Username Field Change
2014-01-21 00:56 Florian Dold New Issue
2014-01-21 00:56 Florian Dold Status new => assigned
2014-01-21 00:56 Florian Dold Assigned To => Bart Polot
2014-01-21 01:01 Bart Polot Note Added: 0008014
2014-01-21 01:01 Bart Polot Status assigned => confirmed
2014-01-21 01:04 Florian Dold Note Added: 0008015
2014-01-21 15:26 Bart Polot Note Added: 0008025
2014-01-21 15:26 Bart Polot Status confirmed => feedback
2014-01-21 16:07 Bart Polot Relationship added has duplicate 0003258
2014-04-11 15:20 Christian Grothoff Target Version => 0.11.0pre66
2014-04-11 15:24 Bart Polot Note Added: 0008236
2014-04-11 15:24 Bart Polot Status feedback => resolved
2014-04-11 15:24 Bart Polot Fixed in Version => 0.11.0pre66
2014-04-11 15:24 Bart Polot Resolution open => fixed
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service
2018-06-07 00:25 Christian Grothoff Status resolved => closed